Index: c/src/lib/libbsp/powerpc/shared/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/shared/ChangeLog	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ c/src/lib/libbsp/powerpc/shared/ChangeLog	(revision a146423c712baa5aa7ec38a2c61860747911e0af)
@@ -1,2 +1,15 @@
+2004-02-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in bootloader/Makefile.am, clock/Makefile.am,
+	console/Makefile.am, include/Makefile.am, irq/Makefile.am,
+	motorola/Makefile.am, openpic/Makefile.am, pci/Makefile.am,
+	residual/Makefile.am, start/Makefile.am, startup/Makefile.am,
+	vectors/Makefile.am, vme/Makefile.am. Use automake compilation rules.
+	* bootloader/Makefile.am, clock/Makefile.am, console/Makefile.am,
+	include/Makefile.am, irq/Makefile.am, motorola/Makefile.am,
+	openpic/Makefile.am, pci/Makefile.am, residual/Makefile.am,
+	start/Makefile.am, startup/Makefile.am, vectors/Makefile.am,
+	vme/Makefile.am: Remove.
+
 2004-01-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/shared/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ c/src/lib/libbsp/powerpc/shared/Makefile.am	(revision a146423c712baa5aa7ec38a2c61860747911e0af)
@@ -3,9 +3,126 @@
 ##
 
+# FIXME: Herein lies madness ;)
+
 if need_shared
-SUBDIRS = clock console include pci residual openpic irq vectors start \
-    startup motorola bootloader vme
+SUBDIRS = bootloader
+
+include_bspdir = $(includedir)/bsp
+
+## include
+EXTRA_DIST = include/nvram.h include/bsp.h
+
+## bootloader
+EXTRA_DIST += bootloader/em86.c bootloader/lib.c bootloader/misc.c \
+    bootloader/mm.c bootloader/pci.c bootloader/zlib.c
+EXTRA_DIST += bootloader/bootldr.h bootloader/zlib.h bootloader/pci.h
+EXTRA_DIST += bootloader/em86real.S bootloader/exception.S \
+    bootloader/head.S
+EXTRA_DIST += bootloader/ppcboot.lds
+
+## clock
+EXTRA_DIST += clock/p_clock.c
+
+## console
+EXTRA_DIST += console/console.c console/inch.c console/polled_io.c \
+    console/uart.c console/reboot.c console/console.inl
+
+include_bsp_HEADERS = console/consoleIo.h console/keyboard.h console/uart.h
+
+## motorola
+EXTRA_DIST += motorola.c
+
+include_bsp_HEADERS += motorola.h
+
+## pci
+EXTRA_DIST += pci/pci.c pci/detect_raven_bridge.c pci/pcifinddevice.c
+
+include_bsp_HEADERS += pci/pci.h
+
+## residual
+EXTRA_DIST += residual/residual.c
+
+include_bsp_HEADERS += residual/pnp.h residual/residual.h
+
+## openpic
+EXTRA_DIST += openpic/openpic.c
+
+include_bsp_HEADERS += openpic/openpic.h
+
+## irq
+EXTRA_DIST += irq/i8259.c irq/irq.c irq/irq_init.c irq/irq_asm.S
+
+include_bsp_HEADERS += irq/irq.h
+
+## start
+EXTRA_DIST += start/start.S start/rtems_crti.S
+
+## startup
+EXTRA_DIST += startup/bspstart.c startup/pgtbl_setup.c \
+    startup/pgtbl_activate.c
+EXTRA_DIST += startup/linkcmds
+
+## vectors
+EXTRA_DIST += vectors/vectors_init.c vectors/vectors.S
+
+include_bsp_HEADERS += vectors.h
+
+## vme
+# FIXME: This doesn't make much sense here
+EXTRA_DIST += vmeconfig.c VMEConfig.h VME.h
 endif
 
-include $(top_srcdir)/../../../automake/subdirs.am
+PREINSTALL_DIRS =
+PREINSTALL_FILES =
+
+if need_shared
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
+	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+
+$(PROJECT_INCLUDE)/bsp/consoleIo.h: console/consoleIo.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/consoleIo.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/consoleIo.h
+
+$(PROJECT_INCLUDE)/bsp/keyboard.h: console/keyboard.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/keyboard.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/keyboard.h
+
+$(PROJECT_INCLUDE)/bsp/uart.h: console/uart.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/uart.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/uart.h
+
+$(PROJECT_INCLUDE)/bsp/motorola.h: motorola.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/motorola.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/motorola.h
+
+$(PROJECT_INCLUDE)/bsp/pci.h: pci/pci.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/pci.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/pci.h
+
+$(PROJECT_INCLUDE)/bsp/pnp.h: residual/pnp.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/pnp.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/pnp.h
+
+$(PROJECT_INCLUDE)/bsp/residual.h: residual/residual.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/residual.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/residual.h
+
+$(PROJECT_INCLUDE)/bsp/openpic.h: openpic/openpic.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/openpic.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/openpic.h
+
+$(PROJECT_INCLUDE)/bsp/irq.h: irq/irq.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq.h
+
+$(PROJECT_INCLUDE)/bsp/vectors.h: vectors.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/vectors.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/vectors.h
+endif
+
+CLEANFILES = $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
+
 include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/bootloader/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/bootloader/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/bootloader/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/bootloader/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,13 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = em86.c lib.c misc.c mm.c pci.c zlib.c
-
-EXTRA_DIST += bootldr.h zlib.h pci.h
-
-EXTRA_DIST += em86real.S exception.S head.S
-
-EXTRA_DIST += ppcboot.lds
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/clock/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/clock/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/clock/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,9 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = p_clock.c
-
-EXTRA_DIST = p_clock.c
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/console/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/console/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/console/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,37 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = console.c inch.c polled_io.c uart.c reboot.c
-
-include_bspdir = $(includedir)/bsp
-include_bsp_HEADERS = consoleIo.h keyboard.h uart.h
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = console.c inch.c polled_io.c uart.c reboot.c console.inl
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/bsp/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
-	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-
-$(PROJECT_INCLUDE)/bsp/consoleIo.h: consoleIo.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/consoleIo.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/consoleIo.h
-
-$(PROJECT_INCLUDE)/bsp/keyboard.h: keyboard.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/keyboard.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/keyboard.h
-
-$(PROJECT_INCLUDE)/bsp/uart.h: uart.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/uart.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/uart.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/include/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/include/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,7 +1,0 @@
-##
-## $Id$
-##
-
-noinst_HEADERS = nvram.h bsp.h
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/irq/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/irq/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/irq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/irq/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,31 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = i8259.c irq.c irq_init.c
-
-include_bspdir = $(includedir)/bsp
-include_bsp_HEADERS = irq.h
-
-S_FILES = irq_asm.S
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = i8259.c irq.c irq_asm.S irq_init.c
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/bsp/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
-	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-
-$(PROJECT_INCLUDE)/bsp/irq.h: irq.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/motorola/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/motorola/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/motorola/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/motorola/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,29 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = motorola.c
-
-include_bspdir = $(includedir)/bsp
-include_bsp_HEADERS = motorola.h
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = motorola.c
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/bsp/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
-	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-
-$(PROJECT_INCLUDE)/bsp/motorola.h: motorola.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/motorola.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/motorola.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/openpic/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/openpic/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/openpic/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/openpic/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,29 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = openpic.c
-
-include_bspdir = $(includedir)/bsp
-include_bsp_HEADERS = openpic.h
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = openpic.c
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/bsp/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
-	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-
-$(PROJECT_INCLUDE)/bsp/openpic.h: openpic.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/openpic.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/openpic.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/pci/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/pci/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/pci/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/pci/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,29 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = pci.c detect_raven_bridge.c pcifinddevice.c
-
-include_bspdir = $(includedir)/bsp
-include_bsp_HEADERS = pci.h
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = pci.c detect_raven_bridge.c pcifinddevice.c
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/bsp/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
-	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-
-$(PROJECT_INCLUDE)/bsp/pci.h: pci.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/pci.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/pci.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/residual/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/residual/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/residual/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/residual/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,33 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = residual.c
-
-include_bspdir = $(includedir)/bsp
-include_bsp_HEADERS = pnp.h residual.h
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = residual.c
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/bsp/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
-	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-
-$(PROJECT_INCLUDE)/bsp/pnp.h: pnp.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/pnp.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/pnp.h
-
-$(PROJECT_INCLUDE)/bsp/residual.h: residual.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/residual.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/residual.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/start/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/start/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/start/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,7 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = start.S rtems_crti.S
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/startup/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/startup/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/startup/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,11 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = bspstart.c pgtbl_setup.c pgtbl_activate.c
-
-noinst_DATA = linkcmds
-
-EXTRA_DIST = bspstart.c linkcmds pgtbl_setup.c pgtbl_activate.c
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/vectors/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/vectors/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/vectors/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/vectors/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,31 +1,0 @@
-##
-## $Id$
-##
-
-C_FILES = vectors_init.c
-
-include_bspdir = $(includedir)/bsp
-include_bsp_HEADERS = vectors.h
-
-S_FILES = vectors.S
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = vectors.S vectors_init.c
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/bsp/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
-	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-
-$(PROJECT_INCLUDE)/bsp/vectors.h: vectors.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/vectors.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/vectors.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/lib/libbsp/powerpc/shared/vme/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/shared/vme/.cvsignore	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/shared/vme/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/shared/vme/Makefile.am	(revision 14023b45a2910eb85d75042b95cd2fdf16dede40)
+++ 	(revision )
@@ -1,8 +1,0 @@
-##
-## $Id$
-##
-
-# FIXME: This doesn't make much sense here
-EXTRA_DIST = vmeconfig.c VMEConfig.h VME.h
-
-include $(top_srcdir)/../../../automake/local.am
